<template name="dialogMore">
	<div class="ibd-modal" v-if="show">
		<basicPopNew :pop="pop" @closeClick="closeClick">
			<!-- <div style="height: 0.4rem"></div> -->
			<span class="draw-chance-num">
				今天还有
				<span style="color: #f2270c" :class="{ 'fd-color': styleData.isHave }">{{ !restDrawCount ? 0 : restDrawCount }}</span>
				次{{ datas.changeTypeName ? datas.changeTypeName : '抽奖机会' }}
			</span>
			<div class="ibd-modal-body" style="height: 7.7rem; overflow: auto">
				<div class="f-tac drow-chance-follow" v-for="(item, i) in task" :key="i">
					<!-- 关注商品 -->
					<div class="drow-chance-follow1" v-if="item.taskType == 5">
						<img :src="task5Img" />
						<div class="fenxinagCont">
							<div :style="styleData.taskText">关注商品</div>
							<div class="haoyou" v-if="item.oneClickFollowPurchase == 1">每关注{{ item.finishNum }}件商品，可获得{{ item.sendNum }}次</div>
							<div class="haoyou" v-if="item.oneClickFollowPurchase == 0">关注全部商品，可获得{{ item.sendNum }}次</div>
							<div class="haoyou">{{ datas.changeTypeName ? datas.changeTypeName : '抽奖机会' }}</div>
						</div>
						<div :style="item.status == 0 ? styleData.goTofen : styleData.goTofenHui" @click="statusBtn(item, item.taskType)">去关注</div>
					</div>
					<!-- 购买商品 -->
					<div class="drow-chance-follow1" v-if="item.taskType == 8">
						<img :src="task8Img" />
						<div class="fenxinagCont">
							<div :style="styleData.taskText">购买商品</div>
							<div class="haoyou">每购买{{ item.finishNum }}件商品，可获得{{ item.sendNum }}次</div>
							<div class="haoyou">{{ datas.changeTypeName ? datas.changeTypeName : '抽奖机会' }}</div>
						</div>
						<div class="goTofen" :style="styleData.goTofen" @click="moreDrawChanceSale(item, item.taskType)">去购买</div>
					</div>
					<!-- 购买指定收货时间商品 -->
					<div class="drow-chance-follow1" v-if="item.taskType == 22">
						<img :src="task22Img" />
						<div class="fenxinagCont">
							<div :style="styleData.taskText">购买商品</div>
							<div class="haoyou">指定时间段内购买指定商品,</div>
							<div class="haoyou">可获得{{ item.sendNum }}次{{ datas.changeTypeName ? datas.changeTypeName : '抽奖机会' }}</div>
						</div>
						<div :class="item.status == 0 ? 'goTofen' : 'goTofenHui'" @click="moreDrawChanceSale(item, item.taskType)">去购买</div>
					</div>
					<!-- 分享商品 分享店铺 分享活动 分享会场 -->
					<div class="drow-chance-follow1" v-if="item.taskType == 9 || item.taskType == 10 || item.taskType == 12">
						<img :src="task12Img" />

						<div class="fenxinagCont">
							<div :style="styleData.taskText" v-if="item.taskType == 9">分享商品</div>
							<div :style="styleData.taskText" v-if="item.taskType == 10">分享店铺</div>
							<div :style="styleData.taskText" v-if="item.taskType == 11">分享会场</div>
							<div :style="styleData.taskText" v-if="item.taskType == 12">分享活动</div>
							<div class="haoyou">每成功分享{{ item.finishNum }}位好友，可获得{{ item.sendNum }}次</div>
							<div class="haoyou">{{ datas.changeTypeName ? datas.changeTypeName : '抽奖机会' }}</div>
						</div>

						<div
							:style="item.maxNum > item.shareCount / item.finishNum ? styleData.goTofen : styleData.goTofenHui"
							v-lz-click="'2'"
							@click="moreDrawChanceShare(item, item.taskType, item)"
						>
							去分享
						</div>
					</div>
					<!-- 每日签到 -->
					<div class="drow-chance-follow1" v-if="item.taskType == 14">
						<img src="//img10.360buyimg.com/imgzone/jfs/t1/199820/19/19736/6526/61af6473E79b86d89/caa471333d89ee90.png" />

						<div class="fenxinagCont">
							<div class="fenxiang">每日签到</div>
							<div class="haoyou">每日签到，可获得{{ item.sendNum }}次</div>
							<div class="haoyou">{{ datas.changeTypeName ? datas.changeTypeName : '抽奖机会' }}</div>
						</div>

						<div
							:style="item.status == 0 ? styleData.goTofen : styleData.goTofenHui"
							:class="item.status == 0 ? 'goTofen' : 'goTofenHui'"
							v-lz-click="'13'"
							@click="statusBtn(item, item.taskType)"
						>
							去签到
						</div>
					</div>
					<!-- 浏览店铺 -->
					<div class="drow-chance-follow1" v-if="item.taskType == 2">
						<img src="//img10.360buyimg.com/imgzone/jfs/t1/220913/22/6985/7141/61af63cbE43fd09c7/489ddf10a107b031.png" />

						<div class="fenxinagCont">
							<div class="fenxiang">浏览店铺</div>
							<div class="haoyou">每浏览{{ item.finishNum }}次店铺，可获得{{ item.sendNum }}次</div>
							<div class="haoyou">{{ datas.changeTypeName ? datas.changeTypeName : '抽奖机会' }}</div>
						</div>

						<div :style="item.status == 0 ? styleData.goTofen : styleData.goTofenHui" v-lz-click="'4'" @click="statusBtn(item, item.taskType)">去浏览</div>
					</div>
					<!-- 浏览商品 -->
					<div class="drow-chance-follow1" v-if="item.taskType == 3">
						<img src="//img10.360buyimg.com/imgzone/jfs/t1/214633/38/6983/7399/61af6408E78031f00/5f65a9c5a5e32050.png" />

						<div class="fenxinagCont">
							<div class="fenxiang">浏览商品</div>
							<div class="haoyou">每浏览{{ item.finishNum }}件商品，可获得{{ item.sendNum }}次</div>
							<div class="haoyou">{{ datas.changeTypeName ? datas.changeTypeName : '抽奖机会' }}</div>
						</div>

						<div :style="item.status == 0 ? styleData.goTofen : styleData.goTofenHui" @click="statusBtn(item, item.taskType)">去浏览</div>
					</div>
					<!-- 加购商品 -->
					<div class="drow-chance-follow1" v-if="item.taskType == 7">
						<img :src="task7Img" />

						<div class="fenxinagCont">
							<div :style="styleData.taskText">加购商品</div>
							<div class="haoyou" v-if="item.oneClickPurchase == 1">每加购{{ item.finishNum }}件商品，可获得{{ item.sendNum }}次</div>
							<div class="haoyou" v-if="item.oneClickPurchase == 0">加购全部商品，可获得{{ item.sendNum }}次</div>
							<div class="haoyou">{{ datas.changeTypeName ? datas.changeTypeName : '抽奖机会' }}</div>
						</div>

						<div :style="item.status == 0 ? styleData.goTofen : styleData.goTofenHui" @click="statusBtn(item, item.taskType)">去加购</div>
					</div>
					<!-- 浏览会场/直播 -->
					<div class="drow-chance-follow1" v-if="item.taskType == 4">
						<img src="//img10.360buyimg.com/imgzone/jfs/t1/161049/11/27711/7351/61af6522E9c675180/24a93b9e79d619cf.png" />

						<div class="fenxinagCont">
							<div class="fenxiang">浏览会场/直播</div>
							<div class="haoyou">每浏览{{ item.finishNum }}次会场/直播，可获得{{ item.sendNum }}次</div>
							<div class="haoyou">{{ datas.changeTypeName ? datas.changeTypeName : '抽奖机会' }}</div>
						</div>

						<div v-lz-click="'6'" :style="item.status == 0 ? styleData.goTofen : styleData.goTofenHui" @click="statusBtn(item, item.taskType)">去浏览</div>
					</div>
					<!-- 会员开卡 -->
					<div class="drow-chance-follow1" v-if="item.taskType == 13">
						<img src="//img10.360buyimg.com/imgzone/jfs/t1/137812/26/22425/6792/61af64f9Efb7da73d/9a193302d091d412.png" />

						<div class="fenxinagCont">
							<div class="fenxiang">会员开卡</div>
							<div class="haoyou">会员开卡，可获得{{ item.sendNum }}次</div>
							<div class="haoyou">{{ datas.changeTypeName ? datas.changeTypeName : '抽奖机会' }}</div>
						</div>

						<div
							:style="item.maxNum > item.completeCount ? styleData.goTofen : styleData.goTofenHui"
							:class="item.maxNum > item.completeCount ? 'goTofen' : 'goTofenHui'"
							@click="maxBtn(item, item.taskType)"
						>
							去开卡
						</div>
					</div>
					<!-- 关注店铺 -->
					<div class="drow-chance-follow1" v-if="item.taskType == 1">
						<img src="//img10.360buyimg.com/imgzone/jfs/t1/222437/29/5130/6720/61af6432Ec3656949/62733757ef1d09f4.png" />

						<div class="fenxinagCont">
							<div :style="styleData.taskText">关注店铺</div>
							<div class="haoyou">关注{{ item.finishNum }}店铺，可获得{{ item.sendNum }}次</div>
							<div class="haoyou">{{ datas.changeTypeName ? datas.changeTypeName : '抽奖机会' }}</div>
						</div>

						<div
							:style="item.maxNum > item.completeCount ? styleData.goTofen : styleData.goTofenHui"
							:class="item.maxNum > item.completeCount ? 'goTofen' : 'goTofenHui'"
							v-lz-click="'7'"
							@click="maxBtn(item, item.taskType)"
						>
							去关注
						</div>
					</div>
					<!-- 邀请助力 -->
					<div style="width: 100%" v-if="item.taskType == 15">
						<div class="drow-chance-follow1">
							<img src="//img10.360buyimg.com/imgzone/jfs/t1/220960/5/5837/7077/61a1d4ebE71aa0ecb/f2af93823852a09d.png" />

							<div class="fenxinagCont">
								<div class="fenxiang">邀请助力 (已邀请{{ item.shareNum }}人)</div>
								<div class="haoyou">邀请{{ item.finishNum }}位好友，可获得{{ item.sendNum }}次</div>
								<div class="haoyou">{{ datas.changeTypeName ? datas.changeTypeName : '抽奖机会' }}</div>
							</div>
							<div :style="styleData.goTofen" :class="goTofen" v-lz-click="'2'" @click="statusBtn(item, item.taskType)">去邀请</div>

							<!--              <div :style="item.maxNum > item.completeCount ? styleData.goTofen : styleData.goTofenHui" :class="item.maxNum > item.completeCount ? 'goTofen' : 'goTofenHui'" v-lz-click="'2'" @click="statusBtn(item, item.taskType)">去邀请</div>
 -->
						</div>
						<!-- <div class="shareBack">
              <div v-for="(res, i) in item.maxNum" :key="i" class="fxylxhb">
                <img v-for="(list, j) in item.friends" :key="j" v-if="i == j" :src="list.userImg" class="fxylxhbimg" />
              </div>
            </div> -->
					</div>
					<!-- 预约商品 -->
					<div class="drow-chance-follow1" v-if="item.taskType == 6">
						<img src="//img10.360buyimg.com/imgzone/jfs/t1/170467/31/26600/6756/61af64a2E108b2bda/71a9e5d9a937f958.png" />

						<div class="fenxinagCont">
							<div class="fenxiang">预约商品</div>
							<div class="haoyou">每预约{{ item.finishNum }}件商品，可获得{{ item.sendNum }}次</div>
							<div class="haoyou">{{ datas.changeTypeName ? datas.changeTypeName : '抽奖机会' }}</div>
						</div>

						<div
							:style="item.status == 0 ? styleData.goTofen : styleData.goTofenHui"
							:class="item.status == 0 ? 'goTofen' : 'goTofenHui'"
							@click="statusBtn(item, item.taskType)"
						>
							去预约
						</div>
					</div>
					<div class="drow-chance-follow1" v-if="item.taskType == 23">
						<img :src="task23Img" />

						<div class="fenxinagCont">
							<div :style="styleData.taskText">商品下单({{ item.completeCount }}/{{ item.maxNum }})</div>
							<div class="haoyou">成功购买任意商品，立即获得{{ item.sendNum }}次</div>
							<div class="haoyou">抽奖机会</div>
						</div>

						<div :style="item.status == 0 ? styleData.goTofen : styleData.goTofenHui" @click="moreDrawChanceSale(item, 23)">购买商品</div>
					</div>
				</div>
			</div>
		</basicPopNew>
	</div>
</template>

<script>
import buttonCom from '../../basisComponent/button/buttonCom.vue';
import basicPopNew from '../popCom/hdzxtbasicPop.vue';

import apis1 from '../../../util/apis1.js';
import { allShareByurl } from '../../../js/share.js';
import { allShare } from '../../../js/share.js';
let { shareTask, storeGoodsPoint } = apis1;
import { goToShopPage, goToOpenCard } from '../../../util/tools.js';
import store from '../../../store/store.js';
import { HdzxtFollowSkuPopNewComService, HdzxtShareTaskService, ShopPopComNewService } from '../../../util/hdzxtcomCreate.js';
export default {
	components: {
		basicPopNew
	},
	data() {
		return {
			pop: {
				title: '获得更多抽奖机会',
				titlepop: ''
			},

			taskShareData: '',
			taskFollowSkuWaresVO: '',
			taskOrderWaresVO: '',

			task12Img: '', //分享活动图片
			task5Img: '', //关注商品图片
			task7Img: '', //加购商品图片
			task8Img: '', //购买商品图片
			task22Img: '', //指定日期购买商品图片
			task23Img: ''
		};
	},
	created() {
		this.pop.titlepop = this.styleData.titlepop;
		this.pop.title = this.styleData.title.title;
		this.pop.leftLineDiv = this.styleData.leftLineDiv ? this.styleData.leftLineDiv : null;
		this.pop.rightLineDiv = this.styleData.rightLineDiv ? this.styleData.rightLineDiv : null;
		this.publicData.$on('xhyFollowSkuTask', dataSubmit => {
			if (typeof dataSubmit == 'string') {
				let dataSubmita = JSON.parse(dataSubmit);
				// console.log(dataSubmita,'typetypetypetype1111111')
				this.restDrawCount = this.restDrawCount + dataSubmita.taskItemData.sendNum;
			}
		});
	},
	mounted() {
		// sessionStorage.setItem("taskShareTitle", title);
		//   sessionStorage.setItem("taskShareData", data);
		this.datas.taskListIcon.map(item => {
			if (item.taskType == 12) {
				this.task12Img = item.imgUrl;
			} else if (item.taskType == 5) {
				this.task5Img = item.imgUrl;
			} else if (item.taskType == 7) {
				this.task7Img = item.imgUrl;
			} else if (item.taskType == 8) {
				this.task8Img = item.imgUrl;
			} else if (item.taskType == 22) {
				this.task22Img = item.imgUrl;
			} else if (item.taskType == 23) {
				this.task23Img = item.imgUrl;
			}
		});
		console.log('taskShareTitle', this.task);
		document.querySelector('body').setAttribute('style', 'position:fixed;top:0;height:100%;overflow:hidden');
	},
	methods: {
		closeClick() {
			console.log('this.submit()');
			document.querySelector('body').removeAttribute('style');
			this.submit();
		},
		back() {
			console.log('关闭');
			document.querySelector('body').removeAttribute('style');
			this.closeClick();
		},
		//用status判断任务按钮是否置灰
		statusBtn(item, taskType) {
			// console.log(item, 'itemaaaaaaaaaa');
			document.querySelector('body').removeAttribute('style');
			if (this.isTemplate) {
				this.$toast('活动预览，仅供查看');
				return;
			}
			//1 关注店铺（已完成） 2 浏览店铺（完成） 3 浏览商品（完成） 4浏览会场/直播（完成） 5 关注商品（完成） 6 预约商品（完成测试）
			// 7 加购商品（完成） 8 购买商品 9 分享商品（完成） 10 分享店铺（完成） 11 分享会场(TODO) 12 分享活动（完成）
			// 13 会员开卡 14 每日签到（完成） 15 邀请助力(完成) 16 每日组队 17 活动提醒 18 领取优惠券 22 购买指定收货时间商品
			if (item.status == 1) {
				return;
			}

			//完成测试
			if (taskType == 3) {
				this.followSku(item, taskType);
			}
			//完成测试
			if (taskType == 5) {
				this.followSku(item, taskType);
			}
			//完成测试
			if (taskType == 6) {
				this.followSku(item, taskType);
			}
			if (taskType == 7) {
				this.followSku(item, taskType);
			}
			//浏览会场/直播
			if (taskType == 4) {
				shareTask(item.taskId, '', data => {
					location.href = item.meetUrl;
					this.submit(null);
				});
			}
			//每日签到 测试完成
			if (taskType == 14) {
				shareTask(item.taskId, '', data => {
					item.status = '1';
					let dataSubmit = {
						taskItemData: item
					};
					this.publicData.$emit('xhyFollowSkuTask', JSON.stringify(dataSubmit));
				});
			}

			//测试完成
			if (taskType == 2) {
				shareTask(item.taskId, '', data => {
					item.status = '1';
					let shopId = store.state.shopId;
					// storeGoodsPoint(4)
					goToShopPage(shopId);
				});
				this.restDrawCount = this.restDrawCount + item.sendNum;
				let dataSubmit = {
					taskItemData: item
				};
				this.submit(JSON.stringify(dataSubmit));
			}
			// 13 会员开卡
			if (taskType == 13) {
				// shareTask(item.taskId, '', data => {
				// item.status = '1';
				goToOpenCard(item.openCardUrl);
				let dataSubmit = {
					taskItemData: item
				};
				this.submit(JSON.stringify(dataSubmit));
				// });
			}

			if (taskType == 15) {
				allShare(this.isTemplate, this, callBackData => {
					console.log(callBackData, 'callBackData');
				});
			}

			// let shuju = { type: taskType, data: item };
			// this.submit(JSON.stringify(shuju));
		},
		//用maxNum判断任务按钮是否置灰
		maxBtn(item, taskType) {
			document.querySelector('body').removeAttribute('style');
			if (this.isTemplate) {
				this.$toast('活动预览，仅供查看');
				return;
			}
			if (item.maxNum <= item.completeCount) {
				return;
			}

			//关注店铺
			if (taskType == 1) {
				shareTask(item.taskId, '', data => {
					let dataSubmit = {
						taskItemData: item
					};
					this.publicData.$emit('xhyFollowSkuTask', JSON.stringify(dataSubmit));
					item.completeCount = item.completeCount + 1;
				});
			}
			if (taskType == 13) {
				// shareTask(item.taskId, '', data => {
				// item.status = '1';
				goToOpenCard(item.openCardUrl);
				let dataSubmit = {
					taskItemData: item
				};
				this.submit(JSON.stringify(dataSubmit));
				// });
			}
			// let shuju = { type: taskType, data: item };
			// this.submit(JSON.stringify(shuju));
		},
		//去购买商品
		moreDrawChanceSale(item, taskType) {
			document.querySelector('body').removeAttribute('style');
			if (this.isTemplate) {
				this.$toast('活动预览，仅供查看');
				return;
			}
			var data = item;
			// data.taskType = taskType;
			this.submit(null);
			sessionStorage.setItem('taskShare', 'taskShare');
			ShopPopComNewService.create(data, this.restDrawCount, this.styleData, submit => {
				// console.log("22222222cccc" + submit);
				sessionStorage.setItem('taskShare', '');
				ShopPopComNewService.close();
				this.restDrawCount = this.restDrawCount + submit;
			});
		},
		moreDrawChanceShare(item, taskType, taskShareData) {
			sessionStorage.setItem('taskShareData', JSON.stringify(taskShareData));
			document.querySelector('body').removeAttribute('style');
			if (this.isTemplate) {
				this.$toast('活动预览，仅供查看');
				return;
			}
			if (taskShareData.maxNum <= taskShareData.shareCount / taskShareData.finishNum) {
				return;
			}

			// this.openShare(item, taskType);
			shareTask(item.taskId, '', data => {
				var url = '';
				//   分享指定商品
				if (taskShareData.taskType == 9) {
					url =
						'https://item.m.jd.com/product/' +
						taskShareData.skuInfoVO[0].skuId +
						'.html?wjfrom=ISV_2180A2AFA5B2452F9061C01C053C4756_WX&wjwxpubid=wxd9fd3549c5fdb283&wjunionid=&wjopenid=';
					allShareByurl(url, this.isTemplate, this, callBackData => {
						console.log(callBackData, 'callBackData' + url);
					});
				} else if (taskShareData.taskType == 10) {
					//分享指定店铺
					url = 'https://shop.m.jd.com/?shopId=' + taskShareData.shopId;
					allShareByurl(url, this.isTemplate, this, callBackData => {
						console.log(callBackData, 'callBackData' + url);
					});
				} else if (taskShareData.taskType == 11) {
					//分享指定会场 Todo
					url = 'https://shop.m.jd.com/?shopId=' + taskShareData.shopId;
					allShareByurl(url, this.isTemplate, this, callBackData => {
						console.log(callBackData, 'callBackData' + url);
					});
				} else {
					url = location.href;
					allShare(this.isTemplate, this, callBackData => {
						console.log(callBackData, 'callBackData');
					});
				}
			});
		},
		pointTopShowFoll() {
			console.log('this.pointFoll' + this.pointFoll);
			return 'pointTopShowBuy' + this.pointFoll;
		},
		pointTopShowBuy() {
			console.log('this.pointBuy' + this.pointBuy);
			return 'pointTopShowBuy' + this.pointBuy;
		},
		pointTopShowShare() {
			console.log('this.pointShare' + this.pointShare);
			return 'pointTopShowBuy' + this.pointShare;
		},
		//商品弹框
		followSku(item, taskType) {
			var data = item;
			sessionStorage.setItem('taskShare', 'taskShare');

			this.submit(null);
			HdzxtFollowSkuPopNewComService.create(data, this.restDrawCount, this.styleData, this.datas, submit => {
				sessionStorage.setItem('taskShare', '');
				HdzxtFollowSkuPopNewComService.close();
			});
		}
	}
};
</script>

<style lang="scss" scoped>
.shareBack {
	display: -webkit-box;
	// justify-content: center;
	overflow-x: auto;
	margin-top: 0.2rem;
}
.shareBack div:first-child {
	margin-left: 0 !important;
}
.fxylxhb {
	width: 0.5rem;
	height: 0.5rem;
	background-image: url(//img10.360buyimg.com/imgzone/jfs/t1/141868/24/20697/3611/619c581aEf96888ee/2441109a454a2791.png);
	background-repeat: no-repeat;
	background-size: 100%;
	margin-left: -0.06rem;
	display: flex;
	justify-content: center;
	align-items: center;
}
.fxylxhbimg {
	width: 0.46rem;
	height: 0.46rem;
	border-radius: 50%;
}
.ibd-modal-mask {
	position: fixed;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background-color: rgba(0, 0, 0, 0.55);
	height: 100%;
	z-index: 1000;
}
.ibd-modal-wrap {
	position: fixed;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	height: 100%;
	z-index: 1000;
}
.ibd-modal-wrap .ibd-modal-modal {
	margin: 2.2rem 0.84rem 0 0.84rem;
	font-size: 0.24rem;
	border-radius: 15px;
	position: relative;
}
.ibd-draw-chance-head {
	height: 1.65rem;
	text-align: center;
	// background-image: url(https://img10.360buyimg.com/imgzone/jfs/t21520/124/447125391/19308/28c0c122/5b0e256eN842ee162.png);
	background-repeat: no-repeat;
	background-size: 100% 100%;
}
.f-tac {
	text-align: center;
}
.ibd-modal-wrap .ibd-modal-modal .ibd-modal-content .ibd-modal-body {
	padding: 0.28rem;
	border-radius: 0 0 10px 10px;
	background: #fff;
}
.ibd-modal-body .drow-chance-follow {
	width: 6.9rem;
	// height: 1.4rem;
	background: #fff;
	//   background-image: url(//img10.360buyimg.com/imgzone/jfs/t1/204427/27/15734/63012/6194deebE7222ebe4/e084fed0d0816854.png);
	//   background-size: 100%;
	//   background-repeat: no-repeat;
	margin: 0 auto 0.1rem;
	border-radius: 0.1rem;
	padding: 0.2rem 0.3rem;
	box-sizing: border-box;
	display: flex;
	align-items: center;
	.drow-chance-follow1 {
		width: 100%;
		display: flex;
		align-items: center;
		img {
			width: 0.83rem;
			height: 0.83rem;
		}
		.fenxinagCont {
			margin-left: 0.39rem;
			.fenxiang {
				font-size: 0.3rem;
				color: #ff9900;
				text-align: left;
			}
			.haoyou {
				font-size: 0.24rem;
				color: #8c8c8c;
				text-align: left;
			}
		}
		.goTofen {
			width: 1.36rem;
			height: 0.46rem;
			background: #a80711;
			font-size: 0.2rem;
			color: #fff;
			border-radius: 0.23rem;
			margin-left: auto;
			display: flex;
			justify-content: center;
			align-items: center;
		}
		.goTofenHui {
			width: 1.36rem;
			height: 0.46rem;
			background: linear-gradient(90deg, #8c8c8c 0%, #bfbfbf 100%);
			font-size: 0.2rem;
			color: #fff;
			border-radius: 0.23rem;
			margin-left: auto;
			display: flex;
			justify-content: center;
			align-items: center;
		}
	}
}
.ibd-modal-body .drow-chance-sale {
	overflow: hidden;
	width: 6.91rem;
	height: 1.3rem;
	line-height: 0.72rem;
	background-image: url(//img10.360buyimg.com/imgzone/jfs/t1/212652/34/4816/60959/6194deebEcf97b1cf/cf7282f48760bf6f.png);
	background-size: 100%;
	background-repeat: no-repeat;
	margin: 0 auto 0.1rem;
}
.ibd-modal-body .drow-chance-share {
	overflow: hidden;
	width: 6.91rem;
	height: 1.3rem;
	line-height: 0.72rem;
	background-image: url(//img10.360buyimg.com/imgzone/jfs/t1/208818/35/9501/77448/6194deebEa2cfe9ec/5e0382e2be05445e.png);
	background-size: 100%;
	background-repeat: no-repeat;
	margin: 0 auto 0.1rem;
}
.draw-chance-num {
	color: #262626;
	font-size: 0.24rem;
	display: block;
	width: 100%;
	text-align: center;
	margin: 0.3rem 0;
}
.ibd-modal-body .draw-chance-text {
	color: #333;
	font-size: 0.15rem;
}
.ibd-modal-wrap .ibd-modal-modal .ibd-modal-btn-cancel {
	position: absolute;
	top: 0;
	right: 0;
	width: 0.6rem;
	height: 0.6rem;
	text-decoration: none;
	z-index: 9;
	display: block;
}
.pointTopShowBuy1 {
	margin-top: 0rem;
}
.pointTopShowBuy2 {
	margin-top: 1.5rem;
}
.pointTopShowBuy3 {
	margin-top: 2.9rem;
}
.pointTopShowBuy4 {
	margin-top: 2.9rem;
}

// .pointTopShowShare {
//   margin-top: 1.2rem;
// }
// .pointTopShowShare1 {
// margin-top: 1.2rem;
// }
// .pointTopShowShare2 {
//    margin-top: 2.2rem;
// }
.fd-color {
	color: #ba915e !important;
}
</style>
